import 'package:dart_emoji/dart_emoji.dart';
import 'package:test/test.dart';

void main() {
  final emojiParser = EmojiParser();
  group('unemojify emoji', () {
    void testUnemojify(String emoji, String expectedText) {
      test(
        emoji,
        () {
          expect(emojiParser.unemojify(emoji), expectedText);
        },
      );
    }

    testUnemojify('💯', ':100:');
    testUnemojify('🔢', ':1234:');
    testUnemojify('☔', ':umbrella_with_rain_drops:');
    testUnemojify('☕', ':coffee:');
    testUnemojify('♈', ':aries:');
    testUnemojify('♉', ':taurus:');
    testUnemojify('♐', ':sagittarius:');
    testUnemojify('♑', ':capricorn:');
    testUnemojify('♒', ':aquarius:');
    testUnemojify('♓', ':pisces:');
    testUnemojify('⚓', ':anchor:');
    testUnemojify('✅', ':white_check_mark:');
    testUnemojify('✨', ':sparkles:');
    testUnemojify('❓', ':question:');
    testUnemojify('❔', ':grey_question:');
    testUnemojify('❕', ':grey_exclamation:');
    testUnemojify('❗', ':exclamation:');
    testUnemojify('➕', ':heavy_plus_sign:');
    testUnemojify('➖', ':heavy_minus_sign:');
    testUnemojify('➗', ':heavy_division_sign:');
    testUnemojify('#️⃣', ':hash:');
    testUnemojify('*️⃣', ':keycap_star:');
    testUnemojify('0️⃣', ':zero:');
    testUnemojify('1️⃣', ':one:');
    testUnemojify('2️⃣', ':two:');
    testUnemojify('3️⃣', ':three:');
    testUnemojify('4️⃣', ':four:');
    testUnemojify('5️⃣', ':five:');
    testUnemojify('6️⃣', ':six:');
    testUnemojify('7️⃣', ':seven:');
    testUnemojify('8️⃣', ':eight:');
    testUnemojify('9️⃣', ':nine:');
    testUnemojify('©️', ':copyright:');
    testUnemojify('®️', ':registered:');
    testUnemojify('🀄', ':mahjong:');
    testUnemojify('🃏', ':black_joker:');
    testUnemojify('🅰️', ':a:');
    testUnemojify('🅱️', ':b:');
    testUnemojify('🅾️', ':o2:');
    testUnemojify('🅿️', ':parking:');
    testUnemojify('🆎', ':ab:');
    testUnemojify('🆑', ':cl:');
    testUnemojify('🆒', ':cool:');
    testUnemojify('🆓', ':free:');
    testUnemojify('🆔', ':id:');
    testUnemojify('🆕', ':new:');
    testUnemojify('🆖', ':ng:');
    testUnemojify('🆗', ':ok:');
    testUnemojify('🆘', ':sos:');
    testUnemojify('🆙', ':up:');
    testUnemojify('🆚', ':vs:');
    testUnemojify('🇦🇨', ':flag-ac:');
    testUnemojify('🇦🇩', ':flag-ad:');
    testUnemojify('🇦🇪', ':flag-ae:');
    testUnemojify('🇦🇫', ':flag-af:');
    testUnemojify('🇦🇬', ':flag-ag:');
    testUnemojify('🇦🇮', ':flag-ai:');
    testUnemojify('🇦🇱', ':flag-al:');
    testUnemojify('🇦🇲', ':flag-am:');
    testUnemojify('🇦🇴', ':flag-ao:');
    testUnemojify('🇦🇶', ':flag-aq:');
    testUnemojify('🇦🇷', ':flag-ar:');
    testUnemojify('🇦🇸', ':flag-as:');
    testUnemojify('🇦🇹', ':flag-at:');
    testUnemojify('🇦🇺', ':flag-au:');
    testUnemojify('🇦🇼', ':flag-aw:');
    testUnemojify('🇦🇽', ':flag-ax:');
    testUnemojify('🇦🇿', ':flag-az:');
    testUnemojify('🇧🇦', ':flag-ba:');
    testUnemojify('🇧🇧', ':flag-bb:');
    testUnemojify('🇧🇩', ':flag-bd:');
    testUnemojify('🇧🇪', ':flag-be:');
    testUnemojify('🇧🇫', ':flag-bf:');
    testUnemojify('🇧🇬', ':flag-bg:');
    testUnemojify('🇧🇭', ':flag-bh:');
    testUnemojify('🇧🇮', ':flag-bi:');
    testUnemojify('🇧🇯', ':flag-bj:');
    testUnemojify('🇧🇱', ':flag-bl:');
    testUnemojify('🇧🇲', ':flag-bm:');
    testUnemojify('🇧🇳', ':flag-bn:');
    testUnemojify('🇧🇴', ':flag-bo:');
    testUnemojify('🇧🇶', ':flag-bq:');
    testUnemojify('🇧🇷', ':flag-br:');
    testUnemojify('🇧🇸', ':flag-bs:');
    testUnemojify('🇧🇹', ':flag-bt:');
    testUnemojify('🇧🇻', ':flag-bv:');
    testUnemojify('🇧🇼', ':flag-bw:');
    testUnemojify('🇧🇾', ':flag-by:');
    testUnemojify('🇧🇿', ':flag-bz:');
    testUnemojify('🇨🇦', ':flag-ca:');
    testUnemojify('🇨🇨', ':flag-cc:');
    testUnemojify('🇨🇩', ':flag-cd:');
    testUnemojify('🇨🇫', ':flag-cf:');
    testUnemojify('🇨🇬', ':flag-cg:');
    testUnemojify('🇨🇭', ':flag-ch:');
    testUnemojify('🇨🇮', ':flag-ci:');
    testUnemojify('🇨🇰', ':flag-ck:');
    testUnemojify('🇨🇱', ':flag-cl:');
    testUnemojify('🇨🇲', ':flag-cm:');
    testUnemojify('🇨🇳', ':flag-cn:');
    testUnemojify('🇨🇴', ':flag-co:');
    testUnemojify('🇨🇵', ':flag-cp:');
    testUnemojify('🇨🇷', ':flag-cr:');
    testUnemojify('🇨🇺', ':flag-cu:');
    testUnemojify('🇨🇻', ':flag-cv:');
    testUnemojify('🇨🇼', ':flag-cw:');
    testUnemojify('🇨🇽', ':flag-cx:');
    testUnemojify('🇨🇾', ':flag-cy:');
    testUnemojify('🇨🇿', ':flag-cz:');
    testUnemojify('🇩🇪', ':flag-de:');
    testUnemojify('🇩🇬', ':flag-dg:');
    testUnemojify('🇩🇯', ':flag-dj:');
    testUnemojify('🇩🇰', ':flag-dk:');
    testUnemojify('🇩🇲', ':flag-dm:');
    testUnemojify('🇩🇴', ':flag-do:');
    testUnemojify('🇩🇿', ':flag-dz:');
    testUnemojify('🇪🇦', ':flag-ea:');
    testUnemojify('🇪🇨', ':flag-ec:');
    testUnemojify('🇪🇪', ':flag-ee:');
    testUnemojify('🇪🇬', ':flag-eg:');
    testUnemojify('🇪🇭', ':flag-eh:');
    testUnemojify('🇪🇷', ':flag-er:');
    testUnemojify('🇪🇸', ':flag-es:');
    testUnemojify('🇪🇹', ':flag-et:');
    testUnemojify('🇪🇺', ':flag-eu:');
    testUnemojify('🇫🇮', ':flag-fi:');
    testUnemojify('🇫🇯', ':flag-fj:');
    testUnemojify('🇫🇰', ':flag-fk:');
    testUnemojify('🇫🇲', ':flag-fm:');
    testUnemojify('🇫🇴', ':flag-fo:');
    testUnemojify('🇫🇷', ':flag-fr:');
    testUnemojify('🇬🇦', ':flag-ga:');
    testUnemojify('🇬🇧', ':flag-gb:');
    testUnemojify('🇬🇩', ':flag-gd:');
    testUnemojify('🇬🇪', ':flag-ge:');
    testUnemojify('🇬🇫', ':flag-gf:');
    testUnemojify('🇬🇬', ':flag-gg:');
    testUnemojify('🇬🇭', ':flag-gh:');
    testUnemojify('🇬🇮', ':flag-gi:');
    testUnemojify('🇬🇱', ':flag-gl:');
    testUnemojify('🇬🇲', ':flag-gm:');
    testUnemojify('🇬🇳', ':flag-gn:');
    testUnemojify('🇬🇵', ':flag-gp:');
    testUnemojify('🇬🇶', ':flag-gq:');
    testUnemojify('🇬🇷', ':flag-gr:');
    testUnemojify('🇬🇸', ':flag-gs:');
    testUnemojify('🇬🇹', ':flag-gt:');
    testUnemojify('🇬🇺', ':flag-gu:');
    testUnemojify('🇬🇼', ':flag-gw:');
    testUnemojify('🇬🇾', ':flag-gy:');
    testUnemojify('🇭🇰', ':flag-hk:');
    testUnemojify('🇭🇲', ':flag-hm:');
    testUnemojify('🇭🇳', ':flag-hn:');
    testUnemojify('🇭🇷', ':flag-hr:');
    testUnemojify('🇭🇹', ':flag-ht:');
    testUnemojify('🇭🇺', ':flag-hu:');
    testUnemojify('🇮🇨', ':flag-ic:');
    testUnemojify('🇮🇩', ':flag-id:');
    testUnemojify('🇮🇪', ':flag-ie:');
    testUnemojify('🇮🇱', ':flag-il:');
    testUnemojify('🇮🇲', ':flag-im:');
    testUnemojify('🇮🇳', ':flag-in:');
    testUnemojify('🇮🇴', ':flag-io:');
    testUnemojify('🇮🇶', ':flag-iq:');
    testUnemojify('🇮🇷', ':flag-ir:');
    testUnemojify('🇮🇸', ':flag-is:');
    testUnemojify('🇮🇹', ':flag-it:');
    testUnemojify('🇯🇪', ':flag-je:');
    testUnemojify('🇯🇲', ':flag-jm:');
    testUnemojify('🇯🇴', ':flag-jo:');
    testUnemojify('🇯🇵', ':flag-jp:');
    testUnemojify('🇰🇪', ':flag-ke:');
    testUnemojify('🇰🇬', ':flag-kg:');
    testUnemojify('🇰🇭', ':flag-kh:');
    testUnemojify('🇰🇮', ':flag-ki:');
    testUnemojify('🇰🇲', ':flag-km:');
    testUnemojify('🇰🇳', ':flag-kn:');
    testUnemojify('🇰🇵', ':flag-kp:');
    testUnemojify('🇰🇷', ':flag-kr:');
    testUnemojify('🇰🇼', ':flag-kw:');
    testUnemojify('🇰🇾', ':flag-ky:');
    testUnemojify('🇰🇿', ':flag-kz:');
    testUnemojify('🇱🇦', ':flag-la:');
    testUnemojify('🇱🇧', ':flag-lb:');
    testUnemojify('🇱🇨', ':flag-lc:');
    testUnemojify('🇱🇮', ':flag-li:');
    testUnemojify('🇱🇰', ':flag-lk:');
    testUnemojify('🇱🇷', ':flag-lr:');
    testUnemojify('🇱🇸', ':flag-ls:');
    testUnemojify('🇱🇹', ':flag-lt:');
    testUnemojify('🇱🇺', ':flag-lu:');
    testUnemojify('🇱🇻', ':flag-lv:');
    testUnemojify('🇱🇾', ':flag-ly:');
    testUnemojify('🇲🇦', ':flag-ma:');
    testUnemojify('🇲🇨', ':flag-mc:');
    testUnemojify('🇲🇩', ':flag-md:');
    testUnemojify('🇲🇪', ':flag-me:');
    testUnemojify('🇲🇫', ':flag-mf:');
    testUnemojify('🇲🇬', ':flag-mg:');
    testUnemojify('🇲🇭', ':flag-mh:');
    testUnemojify('🇲🇰', ':flag-mk:');
    testUnemojify('🇲🇱', ':flag-ml:');
    testUnemojify('🇲🇲', ':flag-mm:');
    testUnemojify('🇲🇳', ':flag-mn:');
    testUnemojify('🇲🇴', ':flag-mo:');
    testUnemojify('🇲🇵', ':flag-mp:');
    testUnemojify('🇲🇶', ':flag-mq:');
    testUnemojify('🇲🇷', ':flag-mr:');
    testUnemojify('🇲🇸', ':flag-ms:');
    testUnemojify('🇲🇹', ':flag-mt:');
    testUnemojify('🇲🇺', ':flag-mu:');
    testUnemojify('🇲🇻', ':flag-mv:');
    testUnemojify('🇲🇼', ':flag-mw:');
    testUnemojify('🇲🇽', ':flag-mx:');
    testUnemojify('🇲🇾', ':flag-my:');
    testUnemojify('🇲🇿', ':flag-mz:');
    testUnemojify('🇳🇦', ':flag-na:');
    testUnemojify('🇳🇨', ':flag-nc:');
    testUnemojify('🇳🇪', ':flag-ne:');
    testUnemojify('🇳🇫', ':flag-nf:');
    testUnemojify('🇳🇬', ':flag-ng:');
    testUnemojify('🇳🇮', ':flag-ni:');
    testUnemojify('🇳🇱', ':flag-nl:');
    testUnemojify('🇳🇴', ':flag-no:');
    testUnemojify('🇳🇵', ':flag-np:');
    testUnemojify('🇳🇷', ':flag-nr:');
    testUnemojify('🇳🇺', ':flag-nu:');
    testUnemojify('🇳🇿', ':flag-nz:');
    testUnemojify('🇴🇲', ':flag-om:');
    testUnemojify('🇵🇦', ':flag-pa:');
    testUnemojify('🇵🇪', ':flag-pe:');
    testUnemojify('🇵🇫', ':flag-pf:');
    testUnemojify('🇵🇬', ':flag-pg:');
    testUnemojify('🇵🇭', ':flag-ph:');
    testUnemojify('🇵🇰', ':flag-pk:');
    testUnemojify('🇵🇱', ':flag-pl:');
    testUnemojify('🇵🇲', ':flag-pm:');
    testUnemojify('🇵🇳', ':flag-pn:');
    testUnemojify('🇵🇷', ':flag-pr:');
    testUnemojify('🇵🇸', ':flag-ps:');
    testUnemojify('🇵🇹', ':flag-pt:');
    testUnemojify('🇵🇼', ':flag-pw:');
    testUnemojify('🇵🇾', ':flag-py:');
    testUnemojify('🇶🇦', ':flag-qa:');
    testUnemojify('🇷🇪', ':flag-re:');
    testUnemojify('🇷🇴', ':flag-ro:');
    testUnemojify('🇷🇸', ':flag-rs:');
    testUnemojify('🇷🇺', ':flag-ru:');
    testUnemojify('🇷🇼', ':flag-rw:');
    testUnemojify('🇸🇦', ':flag-sa:');
    testUnemojify('🇸🇧', ':flag-sb:');
    testUnemojify('🇸🇨', ':flag-sc:');
    testUnemojify('🇸🇩', ':flag-sd:');
    testUnemojify('🇸🇪', ':flag-se:');
    testUnemojify('🇸🇬', ':flag-sg:');
    testUnemojify('🇸🇭', ':flag-sh:');
    testUnemojify('🇸🇮', ':flag-si:');
    testUnemojify('🇸🇯', ':flag-sj:');
    testUnemojify('🇸🇰', ':flag-sk:');
    testUnemojify('🇸🇱', ':flag-sl:');
    testUnemojify('🇸🇲', ':flag-sm:');
    testUnemojify('🇸🇳', ':flag-sn:');
    testUnemojify('🇸🇴', ':flag-so:');
    testUnemojify('🇸🇷', ':flag-sr:');
    testUnemojify('🇸🇸', ':flag-ss:');
    testUnemojify('🇸🇹', ':flag-st:');
    testUnemojify('🇸🇻', ':flag-sv:');
    testUnemojify('🇸🇽', ':flag-sx:');
    testUnemojify('🇸🇾', ':flag-sy:');
    testUnemojify('🇸🇿', ':flag-sz:');
    testUnemojify('🇹🇦', ':flag-ta:');
    testUnemojify('🇹🇨', ':flag-tc:');
    testUnemojify('🇹🇩', ':flag-td:');
    testUnemojify('🇹🇫', ':flag-tf:');
    testUnemojify('🇹🇬', ':flag-tg:');
    testUnemojify('🇹🇭', ':flag-th:');
    testUnemojify('🇹🇯', ':flag-tj:');
    testUnemojify('🇹🇰', ':flag-tk:');
    testUnemojify('🇹🇱', ':flag-tl:');
    testUnemojify('🇹🇲', ':flag-tm:');
    testUnemojify('🇹🇳', ':flag-tn:');
    testUnemojify('🇹🇴', ':flag-to:');
    testUnemojify('🇹🇷', ':flag-tr:');
    testUnemojify('🇹🇹', ':flag-tt:');
    testUnemojify('🇹🇻', ':flag-tv:');
    testUnemojify('🇹🇼', ':flag-tw:');
    testUnemojify('🇹🇿', ':flag-tz:');
    testUnemojify('🇺🇦', ':flag-ua:');
    testUnemojify('🇺🇬', ':flag-ug:');
    testUnemojify('🇺🇲', ':flag-um:');
    testUnemojify('🇺🇳', ':flag-un:');
    testUnemojify('🇺🇸', ':flag-us:');
    testUnemojify('🇺🇾', ':flag-uy:');
    testUnemojify('🇺🇿', ':flag-uz:');
    testUnemojify('🇻🇦', ':flag-va:');
    testUnemojify('🇻🇨', ':flag-vc:');
    testUnemojify('🇻🇪', ':flag-ve:');
    testUnemojify('🇻🇬', ':flag-vg:');
    testUnemojify('🇻🇮', ':flag-vi:');
    testUnemojify('🇻🇳', ':flag-vn:');
    testUnemojify('🇻🇺', ':flag-vu:');
    testUnemojify('🇼🇫', ':flag-wf:');
    testUnemojify('🇼🇸', ':flag-ws:');
    testUnemojify('🇽🇰', ':flag-xk:');
    testUnemojify('🇾🇪', ':flag-ye:');
    testUnemojify('🇾🇹', ':flag-yt:');
    testUnemojify('🇿🇦', ':flag-za:');
    testUnemojify('🇿🇲', ':flag-zm:');
    testUnemojify('🇿🇼', ':flag-zw:');
    testUnemojify('🈁', ':koko:');
    testUnemojify('🈂️', ':sa:');
    testUnemojify('🈚', ':u7121:');
    testUnemojify('🈯', ':u6307:');
    testUnemojify('🈲', ':u7981:');
    testUnemojify('🈳', ':u7a7a:');
    testUnemojify('🈴', ':u5408:');
    testUnemojify('🈵', ':u6e80:');
    testUnemojify('🈶', ':u6709:');
    testUnemojify('🈷️', ':u6708:');
    testUnemojify('🈸', ':u7533:');
    testUnemojify('🈹', ':u5272:');
    testUnemojify('🈺', ':u55b6:');
    testUnemojify('🉐', ':ideograph_advantage:');
    testUnemojify('🉑', ':accept:');
    testUnemojify('🌀', ':cyclone:');
    testUnemojify('🌁', ':foggy:');
    testUnemojify('🌂', ':closed_umbrella:');
    testUnemojify('🌃', ':night_with_stars:');
    testUnemojify('🌄', ':sunrise_over_mountains:');
    testUnemojify('🌅', ':sunrise:');
    testUnemojify('🌆', ':city_sunset:');
    testUnemojify('🌇', ':city_sunrise:');
    testUnemojify('🌈', ':rainbow:');
    testUnemojify('🌉', ':bridge_at_night:');
    testUnemojify('🌊', ':ocean:');
    testUnemojify('🌋', ':volcano:');
    testUnemojify('🌌', ':milky_way:');
    testUnemojify('🌍', ':earth_africa:');
    testUnemojify('🌎', ':earth_americas:');
    testUnemojify('🌏', ':earth_asia:');
    testUnemojify('🌐', ':globe_with_meridians:');
    testUnemojify('🌑', ':new_moon:');
    testUnemojify('🌒', ':waxing_crescent_moon:');
    testUnemojify('🌓', ':first_quarter_moon:');
    testUnemojify('🌔', ':moon:');
    testUnemojify('🌕', ':full_moon:');
    testUnemojify('🌖', ':waning_gibbous_moon:');
    testUnemojify('🌗', ':last_quarter_moon:');
    testUnemojify('🌘', ':waning_crescent_moon:');
    testUnemojify('🌙', ':crescent_moon:');
    testUnemojify('🌚', ':new_moon_with_face:');
    testUnemojify('🌛', ':first_quarter_moon_with_face:');
    testUnemojify('🌜', ':last_quarter_moon_with_face:');
    testUnemojify('🌝', ':full_moon_with_face:');
    testUnemojify('🌞', ':sun_with_face:');
    testUnemojify('🌟', ':star2:');
    testUnemojify('🌠', ':stars:');
    testUnemojify('🌡️', ':thermometer:');
    testUnemojify('🌤️', ':mostly_sunny:');
    testUnemojify('🌥️', ':barely_sunny:');
    testUnemojify('🌦️', ':partly_sunny_rain:');
    testUnemojify('🌧️', ':rain_cloud:');
    testUnemojify('🌨️', ':snow_cloud:');
    testUnemojify('🌩️', ':lightning:');
    testUnemojify('🌪️', ':tornado:');
    testUnemojify('🌫️', ':fog:');
    testUnemojify('🌬️', ':wind_blowing_face:');
    testUnemojify('🌭', ':hotdog:');
    testUnemojify('🌮', ':taco:');
    testUnemojify('🌯', ':burrito:');
    testUnemojify('🌰', ':chestnut:');
    testUnemojify('🌱', ':seedling:');
    testUnemojify('🌲', ':evergreen_tree:');
    testUnemojify('🌳', ':deciduous_tree:');
    testUnemojify('🌴', ':palm_tree:');
    testUnemojify('🌵', ':cactus:');
    testUnemojify('🌶️', ':hot_pepper:');
    testUnemojify('🌷', ':tulip:');
    testUnemojify('🌸', ':cherry_blossom:');
    testUnemojify('🌹', ':rose:');
    testUnemojify('🌺', ':hibiscus:');
    testUnemojify('🌻', ':sunflower:');
    testUnemojify('🌼', ':blossom:');
    testUnemojify('🌽', ':corn:');
    testUnemojify('🌾', ':ear_of_rice:');
    testUnemojify('🌿', ':herb:');
    testUnemojify('🍀', ':four_leaf_clover:');
    testUnemojify('🍁', ':maple_leaf:');
    testUnemojify('🍂', ':fallen_leaf:');
    testUnemojify('🍃', ':leaves:');
    testUnemojify('🍄', ':mushroom:');
    testUnemojify('🍅', ':tomato:');
    testUnemojify('🍆', ':eggplant:');
    testUnemojify('🍇', ':grapes:');
    testUnemojify('🍈', ':melon:');
    testUnemojify('🍉', ':watermelon:');
    testUnemojify('🍊', ':tangerine:');
    testUnemojify('🍋', ':lemon:');
    testUnemojify('🍌', ':banana:');
    testUnemojify('🍍', ':pineapple:');
    testUnemojify('🍎', ':apple:');
    testUnemojify('🍏', ':green_apple:');
    testUnemojify('🍐', ':pear:');
    testUnemojify('🍑', ':peach:');
    testUnemojify('🍒', ':cherries:');
    testUnemojify('🍓', ':strawberry:');
    testUnemojify('🍔', ':hamburger:');
    testUnemojify('🍕', ':pizza:');
    testUnemojify('🍖', ':meat_on_bone:');
    testUnemojify('🍗', ':poultry_leg:');
    testUnemojify('🍘', ':rice_cracker:');
    testUnemojify('🍙', ':rice_ball:');
    testUnemojify('🍚', ':rice:');
    testUnemojify('🍛', ':curry:');
    testUnemojify('🍜', ':ramen:');
    testUnemojify('🍝', ':spaghetti:');
    testUnemojify('🍞', ':bread:');
    testUnemojify('🍟', ':fries:');
    testUnemojify('🍠', ':sweet_potato:');
    testUnemojify('🍡', ':dango:');
    testUnemojify('🍢', ':oden:');
    testUnemojify('🍣', ':sushi:');
    testUnemojify('🍤', ':fried_shrimp:');
    testUnemojify('🍥', ':fish_cake:');
    testUnemojify('🍦', ':icecream:');
    testUnemojify('🍧', ':shaved_ice:');
    testUnemojify('🍨', ':ice_cream:');
    testUnemojify('🍩', ':doughnut:');
    testUnemojify('🍪', ':cookie:');
    testUnemojify('🍫', ':chocolate_bar:');
    testUnemojify('🍬', ':candy:');
    testUnemojify('🍭', ':lollipop:');
    testUnemojify('🍮', ':custard:');
    testUnemojify('🍯', ':honey_pot:');
    testUnemojify('🍰', ':cake:');
    testUnemojify('🍱', ':bento:');
    testUnemojify('🍲', ':stew:');
    testUnemojify('🍳', ':fried_egg:');
    testUnemojify('🍴', ':fork_and_knife:');
    testUnemojify('🍵', ':tea:');
    testUnemojify('🍶', ':sake:');
    testUnemojify('🍷', ':wine_glass:');
    testUnemojify('🍸', ':cocktail:');
    testUnemojify('🍹', ':tropical_drink:');
    testUnemojify('🍺', ':beer:');
    testUnemojify('🍻', ':beers:');
    testUnemojify('🍼', ':baby_bottle:');
    testUnemojify('🍽️', ':knife_fork_plate:');
    testUnemojify('🍾', ':champagne:');
    testUnemojify('🍿', ':popcorn:');
    testUnemojify('🎀', ':ribbon:');
    testUnemojify('🎁', ':gift:');
    testUnemojify('🎂', ':birthday:');
    testUnemojify('🎃', ':jack_o_lantern:');
    testUnemojify('🎄', ':christmas_tree:');
    testUnemojify('🎅', ':santa:');
    testUnemojify('🎆', ':fireworks:');
    testUnemojify('🎇', ':sparkler:');
    testUnemojify('🎈', ':balloon:');
    testUnemojify('🎉', ':tada:');
    testUnemojify('🎊', ':confetti_ball:');
    testUnemojify('🎋', ':tanabata_tree:');
    testUnemojify('🎌', ':crossed_flags:');
    testUnemojify('🎍', ':bamboo:');
    testUnemojify('🎎', ':dolls:');
    testUnemojify('🎏', ':flags:');
    testUnemojify('🎐', ':wind_chime:');
    testUnemojify('🎑', ':rice_scene:');
    testUnemojify('🎒', ':school_satchel:');
    testUnemojify('🎓', ':mortar_board:');
    testUnemojify('🎖️', ':medal:');
    testUnemojify('🎗️', ':reminder_ribbon:');
    testUnemojify('🎙️', ':studio_microphone:');
    testUnemojify('🎚️', ':level_slider:');
    testUnemojify('🎛️', ':control_knobs:');
    testUnemojify('🎞️', ':film_frames:');
    testUnemojify('🎟️', ':admission_tickets:');
    testUnemojify('🎠', ':carousel_horse:');
    testUnemojify('🎡', ':ferris_wheel:');
    testUnemojify('🎢', ':roller_coaster:');
    testUnemojify('🎣', ':fishing_pole_and_fish:');
    testUnemojify('🎤', ':microphone:');
    testUnemojify('🎥', ':movie_camera:');
    testUnemojify('🎦', ':cinema:');
    testUnemojify('🎧', ':headphones:');
    testUnemojify('🎨', ':art:');
    testUnemojify('🎩', ':tophat:');
    testUnemojify('🎪', ':circus_tent:');
    testUnemojify('🎫', ':ticket:');
    testUnemojify('🎬', ':clapper:');
    testUnemojify('🎭', ':performing_arts:');
    testUnemojify('🎮', ':video_game:');
    testUnemojify('🎯', ':dart:');
    testUnemojify('🎰', ':slot_machine:');
    testUnemojify('🎱', ':8ball:');
    testUnemojify('🎲', ':game_die:');
    testUnemojify('🎳', ':bowling:');
    testUnemojify('🎴', ':flower_playing_cards:');
    testUnemojify('🎵', ':musical_note:');
    testUnemojify('🎶', ':notes:');
    testUnemojify('🎷', ':saxophone:');
    testUnemojify('🎸', ':guitar:');
    testUnemojify('🎹', ':musical_keyboard:');
    testUnemojify('🎺', ':trumpet:');
    testUnemojify('🎻', ':violin:');
    testUnemojify('🎼', ':musical_score:');
    testUnemojify('🎽', ':running_shirt_with_sash:');
    testUnemojify('🎾', ':tennis:');
    testUnemojify('🎿', ':ski:');
    testUnemojify('🏀', ':basketball:');
    testUnemojify('🏁', ':checkered_flag:');
    testUnemojify('🏂', ':snowboarder:');
    testUnemojify('🏃‍♀️', ':woman-running:');
    testUnemojify('🏃‍♂️', ':man-running:');
    testUnemojify('🏄‍♀️', ':woman-surfing:');
    testUnemojify('🏄‍♂️', ':man-surfing:');
    testUnemojify('🏅', ':sports_medal:');
    testUnemojify('🏆', ':trophy:');
    testUnemojify('🏇', ':horse_racing:');
    testUnemojify('🏈', ':football:');
    testUnemojify('🏉', ':rugby_football:');
    testUnemojify('🏊‍♀️', ':woman-swimming:');
    testUnemojify('🏊‍♂️', ':man-swimming:');
    testUnemojify('🏋️‍♀️', ':woman-lifting-weights:');
    testUnemojify('🏋️‍♂️', ':man-lifting-weights:');
    testUnemojify('🏌️‍♀️', ':woman-golfing:');
    testUnemojify('🏌️‍♂️', ':man-golfing:');
    testUnemojify('🏍️', ':racing_motorcycle:');
    testUnemojify('🏎️', ':racing_car:');
    testUnemojify('🏏', ':cricket_bat_and_ball:');
    testUnemojify('🏐', ':volleyball:');
    testUnemojify('🏑', ':field_hockey_stick_and_ball:');
    testUnemojify('🏒', ':ice_hockey_stick_and_puck:');
    testUnemojify('🏓', ':table_tennis_paddle_and_ball:');
    testUnemojify('🏔️', ':snow_capped_mountain:');
    testUnemojify('🏕️', ':camping:');
    testUnemojify('🏖️', ':beach_with_umbrella:');
    testUnemojify('🏗️', ':building_construction:');
    testUnemojify('🏘️', ':house_buildings:');
    testUnemojify('🏙️', ':cityscape:');
    testUnemojify('🏚️', ':derelict_house_building:');
    testUnemojify('🏛️', ':classical_building:');
    testUnemojify('🏜️', ':desert:');
    testUnemojify('🏝️', ':desert_island:');
    testUnemojify('🏞️', ':national_park:');
    testUnemojify('🏟️', ':stadium:');
    testUnemojify('🏠', ':house:');
    testUnemojify('🏡', ':house_with_garden:');
    testUnemojify('🏢', ':office:');
    testUnemojify('🏣', ':post_office:');
    testUnemojify('🏤', ':european_post_office:');
    testUnemojify('🏥', ':hospital:');
    testUnemojify('🏦', ':bank:');
    testUnemojify('🏧', ':atm:');
    testUnemojify('🏨', ':hotel:');
    testUnemojify('🏩', ':love_hotel:');
    testUnemojify('🏪', ':convenience_store:');
    testUnemojify('🏫', ':school:');
    testUnemojify('🏬', ':department_store:');
    testUnemojify('🏭', ':factory:');
    testUnemojify('🏮', ':izakaya_lantern:');
    testUnemojify('🏯', ':japanese_castle:');
    testUnemojify('🏰', ':european_castle:');
    testUnemojify('🏳️‍🌈', ':rainbow-flag:');
    testUnemojify('🏳️‍⚧️', ':transgender_flag:');
    testUnemojify('🏳️', ':waving_white_flag:');
    testUnemojify('🏴‍☠️', ':pirate_flag:');
    testUnemojify('🏴󠁧󠁢󠁥󠁮󠁧󠁿', ':flag-england:');
    testUnemojify('🏴󠁧󠁢󠁳󠁣󠁴󠁿', ':flag-scotland:');
    testUnemojify('🏴󠁧󠁢󠁷󠁬󠁳󠁿', ':flag-wales:');
    testUnemojify('🏴', ':waving_black_flag:');
    testUnemojify('🏵️', ':rosette:');
    testUnemojify('🏷️', ':label:');
    testUnemojify('🏸', ':badminton_racquet_and_shuttlecock:');
    testUnemojify('🏹', ':bow_and_arrow:');
    testUnemojify('🏺', ':amphora:');
    testUnemojify('🏻', ':skin-tone-2:');
    testUnemojify('🏼', ':skin-tone-3:');
    testUnemojify('🏽', ':skin-tone-4:');
    testUnemojify('🏾', ':skin-tone-5:');
    testUnemojify('🏿', ':skin-tone-6:');
    testUnemojify('🐀', ':rat:');
    testUnemojify('🐁', ':mouse2:');
    testUnemojify('🐂', ':ox:');
    testUnemojify('🐃', ':water_buffalo:');
    testUnemojify('🐄', ':cow2:');
    testUnemojify('🐅', ':tiger2:');
    testUnemojify('🐆', ':leopard:');
    testUnemojify('🐇', ':rabbit2:');
    testUnemojify('🐈‍⬛', ':black_cat:');
    testUnemojify('🐈', ':cat2:');
    testUnemojify('🐉', ':dragon:');
    testUnemojify('🐊', ':crocodile:');
    testUnemojify('🐋', ':whale2:');
    testUnemojify('🐌', ':snail:');
    testUnemojify('🐍', ':snake:');
    testUnemojify('🐎', ':racehorse:');
    testUnemojify('🐏', ':ram:');
    testUnemojify('🐐', ':goat:');
    testUnemojify('🐑', ':sheep:');
    testUnemojify('🐒', ':monkey:');
    testUnemojify('🐓', ':rooster:');
    testUnemojify('🐔', ':chicken:');
    testUnemojify('🐕‍🦺', ':service_dog:');
    testUnemojify('🐕', ':dog2:');
    testUnemojify('🐖', ':pig2:');
    testUnemojify('🐗', ':boar:');
    testUnemojify('🐘', ':elephant:');
    testUnemojify('🐙', ':octopus:');
    testUnemojify('🐚', ':shell:');
    testUnemojify('🐛', ':bug:');
    testUnemojify('🐜', ':ant:');
    testUnemojify('🐝', ':bee:');
    testUnemojify('🐞', ':ladybug:');
    testUnemojify('🐟', ':fish:');
    testUnemojify('🐠', ':tropical_fish:');
    testUnemojify('🐡', ':blowfish:');
    testUnemojify('🐢', ':turtle:');
    testUnemojify('🐣', ':hatching_chick:');
    testUnemojify('🐤', ':baby_chick:');
    testUnemojify('🐥', ':hatched_chick:');
    testUnemojify('🐦', ':bird:');
    testUnemojify('🐧', ':penguin:');
    testUnemojify('🐨', ':koala:');
    testUnemojify('🐩', ':poodle:');
    testUnemojify('🐪', ':dromedary_camel:');
    testUnemojify('🐫', ':camel:');
    testUnemojify('🐬', ':dolphin:');
    testUnemojify('🐭', ':mouse:');
    testUnemojify('🐮', ':cow:');
    testUnemojify('🐯', ':tiger:');
    testUnemojify('🐰', ':rabbit:');
    testUnemojify('🐱', ':cat:');
    testUnemojify('🐲', ':dragon_face:');
    testUnemojify('🐳', ':whale:');
    testUnemojify('🐴', ':horse:');
    testUnemojify('🐵', ':monkey_face:');
    testUnemojify('🐶', ':dog:');
    testUnemojify('🐷', ':pig:');
    testUnemojify('🐸', ':frog:');
    testUnemojify('🐹', ':hamster:');
    testUnemojify('🐺', ':wolf:');
    testUnemojify('🐻‍❄️', ':polar_bear:');
    testUnemojify('🐻', ':bear:');
    testUnemojify('🐼', ':panda_face:');
    testUnemojify('🐽', ':pig_nose:');
    testUnemojify('🐾', ':feet:');
    testUnemojify('🐿️', ':chipmunk:');
    testUnemojify('👀', ':eyes:');
    testUnemojify('👁️‍🗨️', ':eye-in-speech-bubble:');
    testUnemojify('👁️', ':eye:');
    testUnemojify('👂', ':ear:');
    testUnemojify('👃', ':nose:');
    testUnemojify('👄', ':lips:');
    testUnemojify('👅', ':tongue:');
    testUnemojify('👆', ':point_up_2:');
    testUnemojify('👇', ':point_down:');
    testUnemojify('👈', ':point_left:');
    testUnemojify('👉', ':point_right:');
    testUnemojify('👊', ':facepunch:');
    testUnemojify('👋', ':wave:');
    testUnemojify('👌', ':ok_hand:');
    testUnemojify('👍', ':+1:');
    testUnemojify('👎', ':-1:');
    testUnemojify('👏', ':clap:');
    testUnemojify('👐', ':open_hands:');
    testUnemojify('👑', ':crown:');
    testUnemojify('👒', ':womans_hat:');
    testUnemojify('👓', ':eyeglasses:');
    testUnemojify('👔', ':necktie:');
    testUnemojify('👕', ':shirt:');
    testUnemojify('👖', ':jeans:');
    testUnemojify('👗', ':dress:');
    testUnemojify('👘', ':kimono:');
    testUnemojify('👙', ':bikini:');
    testUnemojify('👚', ':womans_clothes:');
    testUnemojify('👛', ':purse:');
    testUnemojify('👜', ':handbag:');
    testUnemojify('👝', ':pouch:');
    testUnemojify('👞', ':mans_shoe:');
    testUnemojify('👟', ':athletic_shoe:');
    testUnemojify('👠', ':high_heel:');
    testUnemojify('👡', ':sandal:');
    testUnemojify('👢', ':boot:');
    testUnemojify('👣', ':footprints:');
    testUnemojify('👤', ':bust_in_silhouette:');
    testUnemojify('👥', ':busts_in_silhouette:');
    testUnemojify('👦', ':boy:');
    testUnemojify('👧', ':girl:');
    testUnemojify('👨‍🌾', ':male-farmer:');
    testUnemojify('👨‍🍳', ':male-cook:');
    testUnemojify('👨‍🍼', ':man_feeding_baby:');
    testUnemojify('👨‍🎓', ':male-student:');
    testUnemojify('👨‍🎤', ':male-singer:');
    testUnemojify('👨‍🎨', ':male-artist:');
    testUnemojify('👨‍🏫', ':male-teacher:');
    testUnemojify('👨‍🏭', ':male-factory-worker:');
    testUnemojify('👨‍👦‍👦', ':man-boy-boy:');
    testUnemojify('👨‍👦', ':man-boy:');
    testUnemojify('👨‍👧‍👦', ':man-girl-boy:');
    testUnemojify('👨‍👧‍👧', ':man-girl-girl:');
    testUnemojify('👨‍👧', ':man-girl:');
    testUnemojify('👨‍👨‍👦', ':man-man-boy:');
    testUnemojify('👨‍👨‍👦‍👦', ':man-man-boy-boy:');
    testUnemojify('👨‍👨‍👧', ':man-man-girl:');
    testUnemojify('👨‍👨‍👧‍👦', ':man-man-girl-boy:');
    testUnemojify('👨‍👨‍👧‍👧', ':man-man-girl-girl:');
    testUnemojify('👨‍👩‍👦', ':man-woman-boy:');
    testUnemojify('👨‍👩‍👦‍👦', ':man-woman-boy-boy:');
    testUnemojify('👨‍👩‍👧', ':man-woman-girl:');
    testUnemojify('👨‍👩‍👧‍👦', ':man-woman-girl-boy:');
    testUnemojify('👨‍👩‍👧‍👧', ':man-woman-girl-girl:');
    testUnemojify('👨‍💻', ':male-technologist:');
    testUnemojify('👨‍💼', ':male-office-worker:');
    testUnemojify('👨‍🔧', ':male-mechanic:');
    testUnemojify('👨‍🔬', ':male-scientist:');
    testUnemojify('👨‍🚀', ':male-astronaut:');
    testUnemojify('👨‍🚒', ':male-firefighter:');
    testUnemojify('👨‍🦯', ':man_with_probing_cane:');
    testUnemojify('👨‍🦰', ':red_haired_man:');
    testUnemojify('👨‍🦱', ':curly_haired_man:');
    testUnemojify('👨‍🦲', ':bald_man:');
    testUnemojify('👨‍🦳', ':white_haired_man:');
    testUnemojify('👨‍🦼', ':man_in_motorized_wheelchair:');
    testUnemojify('👨‍🦽', ':man_in_manual_wheelchair:');
    testUnemojify('👨‍⚕️', ':male-doctor:');
    testUnemojify('👨‍⚖️', ':male-judge:');
    testUnemojify('👨‍✈️', ':male-pilot:');
    testUnemojify('👨‍❤️‍👨', ':man-heart-man:');
    testUnemojify('👨‍❤️‍💋‍👨', ':man-kiss-man:');
    testUnemojify('👨', ':man:');
    testUnemojify('👩‍🌾', ':female-farmer:');
    testUnemojify('👩‍🍳', ':female-cook:');
    testUnemojify('👩‍🍼', ':woman_feeding_baby:');
    testUnemojify('👩‍🎓', ':female-student:');
    testUnemojify('👩‍🎤', ':female-singer:');
    testUnemojify('👩‍🎨', ':female-artist:');
    testUnemojify('👩‍🏫', ':female-teacher:');
    testUnemojify('👩‍🏭', ':female-factory-worker:');
    testUnemojify('👩‍👦‍👦', ':woman-boy-boy:');
    testUnemojify('👩‍👦', ':woman-boy:');
    testUnemojify('👩‍👧‍👦', ':woman-girl-boy:');
    testUnemojify('👩‍👧‍👧', ':woman-girl-girl:');
    testUnemojify('👩‍👧', ':woman-girl:');
    testUnemojify('👩‍👩‍👦', ':woman-woman-boy:');
    testUnemojify('👩‍👩‍👦‍👦', ':woman-woman-boy-boy:');
    testUnemojify('👩‍👩‍👧', ':woman-woman-girl:');
    testUnemojify('👩‍👩‍👧‍👦', ':woman-woman-girl-boy:');
    testUnemojify('👩‍👩‍👧‍👧', ':woman-woman-girl-girl:');
    testUnemojify('👩‍💻', ':female-technologist:');
    testUnemojify('👩‍💼', ':female-office-worker:');
    testUnemojify('👩‍🔧', ':female-mechanic:');
    testUnemojify('👩‍🔬', ':female-scientist:');
    testUnemojify('👩‍🚀', ':female-astronaut:');
    testUnemojify('👩‍🚒', ':female-firefighter:');
    testUnemojify('👩‍🦯', ':woman_with_probing_cane:');
    testUnemojify('👩‍🦰', ':red_haired_woman:');
    testUnemojify('👩‍🦱', ':curly_haired_woman:');
    testUnemojify('👩‍🦲', ':bald_woman:');
    testUnemojify('👩‍🦳', ':white_haired_woman:');
    testUnemojify('👩‍🦼', ':woman_in_motorized_wheelchair:');
    testUnemojify('👩‍🦽', ':woman_in_manual_wheelchair:');
    testUnemojify('👩‍⚕️', ':female-doctor:');
    testUnemojify('👩‍⚖️', ':female-judge:');
    testUnemojify('👩‍✈️', ':female-pilot:');
    testUnemojify('👩‍❤️‍👨', ':woman-heart-man:');
    testUnemojify('👩‍❤️‍👩', ':woman-heart-woman:');
    testUnemojify('👩‍❤️‍💋‍👨', ':woman-kiss-man:');
    testUnemojify('👩‍❤️‍💋‍👩', ':woman-kiss-woman:');
    testUnemojify('👩', ':woman:');
    testUnemojify('👫', ':man_and_woman_holding_hands:');
    testUnemojify('👬', ':two_men_holding_hands:');
    testUnemojify('👭', ':two_women_holding_hands:');
    testUnemojify('👮‍♀️', ':female-police-officer:');
    testUnemojify('👮‍♂️', ':male-police-officer:');
    testUnemojify('👯‍♀️', ':women-with-bunny-ears-partying:');
    testUnemojify('👯‍♂️', ':men-with-bunny-ears-partying:');
    testUnemojify('👰‍♀️', ':woman_with_veil:');
    testUnemojify('👰‍♂️', ':man_with_veil:');
    testUnemojify('👰', ':bride_with_veil:');
    testUnemojify('👱‍♀️', ':blond-haired-woman:');
    testUnemojify('👱‍♂️', ':blond-haired-man:');
    testUnemojify('👲', ':man_with_gua_pi_mao:');
    testUnemojify('👳‍♀️', ':woman-wearing-turban:');
    testUnemojify('👳‍♂️', ':man-wearing-turban:');
    testUnemojify('👴', ':older_man:');
    testUnemojify('👵', ':older_woman:');
    testUnemojify('👶', ':baby:');
    testUnemojify('👷‍♀️', ':female-construction-worker:');
    testUnemojify('👷‍♂️', ':male-construction-worker:');
    testUnemojify('👸', ':princess:');
    testUnemojify('👹', ':japanese_ogre:');
    testUnemojify('👺', ':japanese_goblin:');
    testUnemojify('👻', ':ghost:');
    testUnemojify('👼', ':angel:');
    testUnemojify('👽', ':alien:');
    testUnemojify('👾', ':space_invader:');
    testUnemojify('👿', ':imp:');
    testUnemojify('💀', ':skull:');
    testUnemojify('💁‍♀️', ':woman-tipping-hand:');
    testUnemojify('💁‍♂️', ':man-tipping-hand:');
    testUnemojify('💂‍♀️', ':female-guard:');
    testUnemojify('💂‍♂️', ':male-guard:');
    testUnemojify('💃', ':dancer:');
    testUnemojify('💄', ':lipstick:');
    testUnemojify('💅', ':nail_care:');
    testUnemojify('💆‍♀️', ':woman-getting-massage:');
    testUnemojify('💆‍♂️', ':man-getting-massage:');
    testUnemojify('💇‍♀️', ':woman-getting-haircut:');
    testUnemojify('💇‍♂️', ':man-getting-haircut:');
    testUnemojify('💈', ':barber:');
    testUnemojify('💉', ':syringe:');
    testUnemojify('💊', ':pill:');
    testUnemojify('💋', ':kiss:');
    testUnemojify('💌', ':love_letter:');
    testUnemojify('💍', ':ring:');
    testUnemojify('💎', ':gem:');
    testUnemojify('💏', ':couplekiss:');
    testUnemojify('💐', ':bouquet:');
    testUnemojify('💑', ':couple_with_heart:');
    testUnemojify('💒', ':wedding:');
    testUnemojify('💓', ':heartbeat:');
    testUnemojify('💔', ':broken_heart:');
    testUnemojify('💕', ':two_hearts:');
    testUnemojify('💖', ':sparkling_heart:');
    testUnemojify('💗', ':heartpulse:');
    testUnemojify('💘', ':cupid:');
    testUnemojify('💙', ':blue_heart:');
    testUnemojify('💚', ':green_heart:');
    testUnemojify('💛', ':yellow_heart:');
    testUnemojify('💜', ':purple_heart:');
    testUnemojify('💝', ':gift_heart:');
    testUnemojify('💞', ':revolving_hearts:');
    testUnemojify('💟', ':heart_decoration:');
    testUnemojify('💠', ':diamond_shape_with_a_dot_inside:');
    testUnemojify('💡', ':bulb:');
    testUnemojify('💢', ':anger:');
    testUnemojify('💣', ':bomb:');
    testUnemojify('💤', ':zzz:');
    testUnemojify('💥', ':boom:');
    testUnemojify('💦', ':sweat_drops:');
    testUnemojify('💧', ':droplet:');
    testUnemojify('💨', ':dash:');
    testUnemojify('💩', ':hankey:');
    testUnemojify('💪', ':muscle:');
    testUnemojify('💫', ':dizzy:');
    testUnemojify('💬', ':speech_balloon:');
    testUnemojify('💭', ':thought_balloon:');
    testUnemojify('💮', ':white_flower:');
    testUnemojify('💰', ':moneybag:');
    testUnemojify('💱', ':currency_exchange:');
    testUnemojify('💲', ':heavy_dollar_sign:');
    testUnemojify('💳', ':credit_card:');
    testUnemojify('💴', ':yen:');
    testUnemojify('💵', ':dollar:');
    testUnemojify('💶', ':euro:');
    testUnemojify('💷', ':pound:');
    testUnemojify('💸', ':money_with_wings:');
    testUnemojify('💹', ':chart:');
    testUnemojify('💺', ':seat:');
    testUnemojify('💻', ':computer:');
    testUnemojify('💼', ':briefcase:');
    testUnemojify('💽', ':minidisc:');
    testUnemojify('💾', ':floppy_disk:');
    testUnemojify('💿', ':cd:');
    testUnemojify('📀', ':dvd:');
    testUnemojify('📁', ':file_folder:');
    testUnemojify('📂', ':open_file_folder:');
    testUnemojify('📃', ':page_with_curl:');
    testUnemojify('📄', ':page_facing_up:');
    testUnemojify('📅', ':date:');
    testUnemojify('📆', ':calendar:');
    testUnemojify('📇', ':card_index:');
    testUnemojify('📈', ':chart_with_upwards_trend:');
    testUnemojify('📉', ':chart_with_downwards_trend:');
    testUnemojify('📊', ':bar_chart:');
    testUnemojify('📋', ':clipboard:');
    testUnemojify('📌', ':pushpin:');
    testUnemojify('📍', ':round_pushpin:');
    testUnemojify('📎', ':paperclip:');
    testUnemojify('📏', ':straight_ruler:');
    testUnemojify('📐', ':triangular_ruler:');
    testUnemojify('📑', ':bookmark_tabs:');
    testUnemojify('📒', ':ledger:');
    testUnemojify('📓', ':notebook:');
    testUnemojify('📔', ':notebook_with_decorative_cover:');
    testUnemojify('📕', ':closed_book:');
    testUnemojify('📖', ':book:');
    testUnemojify('📗', ':green_book:');
    testUnemojify('📘', ':blue_book:');
    testUnemojify('📙', ':orange_book:');
    testUnemojify('📚', ':books:');
    testUnemojify('📛', ':name_badge:');
    testUnemojify('📜', ':scroll:');
    testUnemojify('📝', ':memo:');
    testUnemojify('📞', ':telephone_receiver:');
    testUnemojify('📟', ':pager:');
    testUnemojify('📠', ':fax:');
    testUnemojify('📡', ':satellite_antenna:');
    testUnemojify('📢', ':loudspeaker:');
    testUnemojify('📣', ':mega:');
    testUnemojify('📤', ':outbox_tray:');
    testUnemojify('📥', ':inbox_tray:');
    testUnemojify('📦', ':package:');
    testUnemojify('📧', ':e-mail:');
    testUnemojify('📨', ':incoming_envelope:');
    testUnemojify('📩', ':envelope_with_arrow:');
    testUnemojify('📪', ':mailbox_closed:');
    testUnemojify('📫', ':mailbox:');
    testUnemojify('📬', ':mailbox_with_mail:');
    testUnemojify('📭', ':mailbox_with_no_mail:');
    testUnemojify('📮', ':postbox:');
    testUnemojify('📯', ':postal_horn:');
    testUnemojify('📰', ':newspaper:');
    testUnemojify('📱', ':iphone:');
    testUnemojify('📲', ':calling:');
    testUnemojify('📳', ':vibration_mode:');
    testUnemojify('📴', ':mobile_phone_off:');
    testUnemojify('📵', ':no_mobile_phones:');
    testUnemojify('📶', ':signal_strength:');
    testUnemojify('📷', ':camera:');
    testUnemojify('📸', ':camera_with_flash:');
    testUnemojify('📹', ':video_camera:');
    testUnemojify('📺', ':tv:');
    testUnemojify('📻', ':radio:');
    testUnemojify('📼', ':vhs:');
    testUnemojify('📽️', ':film_projector:');
    testUnemojify('📿', ':prayer_beads:');
    testUnemojify('🔀', ':twisted_rightwards_arrows:');
    testUnemojify('🔁', ':repeat:');
    testUnemojify('🔂', ':repeat_one:');
    testUnemojify('🔃', ':arrows_clockwise:');
    testUnemojify('🔄', ':arrows_counterclockwise:');
    testUnemojify('🔅', ':low_brightness:');
    testUnemojify('🔆', ':high_brightness:');
    testUnemojify('🔇', ':mute:');
    testUnemojify('🔈', ':speaker:');
    testUnemojify('🔉', ':sound:');
    testUnemojify('🔊', ':loud_sound:');
    testUnemojify('🔋', ':battery:');
    testUnemojify('🔌', ':electric_plug:');
    testUnemojify('🔍', ':mag:');
    testUnemojify('🔎', ':mag_right:');
    testUnemojify('🔏', ':lock_with_ink_pen:');
    testUnemojify('🔐', ':closed_lock_with_key:');
    testUnemojify('🔑', ':key:');
    testUnemojify('🔒', ':lock:');
    testUnemojify('🔓', ':unlock:');
    testUnemojify('🔔', ':bell:');
    testUnemojify('🔕', ':no_bell:');
    testUnemojify('🔖', ':bookmark:');
    testUnemojify('🔗', ':link:');
    testUnemojify('🔘', ':radio_button:');
    testUnemojify('🔙', ':back:');
    testUnemojify('🔚', ':end:');
    testUnemojify('🔛', ':on:');
    testUnemojify('🔜', ':soon:');
    testUnemojify('🔝', ':top:');
    testUnemojify('🔞', ':underage:');
    testUnemojify('🔟', ':keycap_ten:');
    testUnemojify('🔠', ':capital_abcd:');
    testUnemojify('🔡', ':abcd:');
    testUnemojify('🔣', ':symbols:');
    testUnemojify('🔤', ':abc:');
    testUnemojify('🔥', ':fire:');
    testUnemojify('🔦', ':flashlight:');
    testUnemojify('🔧', ':wrench:');
    testUnemojify('🔨', ':hammer:');
    testUnemojify('🔩', ':nut_and_bolt:');
    testUnemojify('🔪', ':hocho:');
    testUnemojify('🔫', ':gun:');
    testUnemojify('🔬', ':microscope:');
    testUnemojify('🔭', ':telescope:');
    testUnemojify('🔮', ':crystal_ball:');
    testUnemojify('🔯', ':six_pointed_star:');
    testUnemojify('🔰', ':beginner:');
    testUnemojify('🔱', ':trident:');
    testUnemojify('🔲', ':black_square_button:');
    testUnemojify('🔳', ':white_square_button:');
    testUnemojify('🔴', ':red_circle:');
    testUnemojify('🔵', ':large_blue_circle:');
    testUnemojify('🔶', ':large_orange_diamond:');
    testUnemojify('🔷', ':large_blue_diamond:');
    testUnemojify('🔸', ':small_orange_diamond:');
    testUnemojify('🔹', ':small_blue_diamond:');
    testUnemojify('🔺', ':small_red_triangle:');
    testUnemojify('🔻', ':small_red_triangle_down:');
    testUnemojify('🔼', ':arrow_up_small:');
    testUnemojify('🔽', ':arrow_down_small:');
    testUnemojify('🕉️', ':om_symbol:');
    testUnemojify('🕊️', ':dove_of_peace:');
    testUnemojify('🕋', ':kaaba:');
    testUnemojify('🕌', ':mosque:');
    testUnemojify('🕍', ':synagogue:');
    testUnemojify('🕎', ':menorah_with_nine_branches:');
    testUnemojify('🕐', ':clock1:');
    testUnemojify('🕑', ':clock2:');
    testUnemojify('🕒', ':clock3:');
    testUnemojify('🕓', ':clock4:');
    testUnemojify('🕔', ':clock5:');
    testUnemojify('🕕', ':clock6:');
    testUnemojify('🕖', ':clock7:');
    testUnemojify('🕗', ':clock8:');
    testUnemojify('🕘', ':clock9:');
    testUnemojify('🕙', ':clock10:');
    testUnemojify('🕚', ':clock11:');
    testUnemojify('🕛', ':clock12:');
    testUnemojify('🕜', ':clock130:');
    testUnemojify('🕝', ':clock230:');
    testUnemojify('🕞', ':clock330:');
    testUnemojify('🕟', ':clock430:');
    testUnemojify('🕠', ':clock530:');
    testUnemojify('🕡', ':clock630:');
    testUnemojify('🕢', ':clock730:');
    testUnemojify('🕣', ':clock830:');
    testUnemojify('🕤', ':clock930:');
    testUnemojify('🕥', ':clock1030:');
    testUnemojify('🕦', ':clock1130:');
    testUnemojify('🕧', ':clock1230:');
    testUnemojify('🕯️', ':candle:');
    testUnemojify('🕰️', ':mantelpiece_clock:');
    testUnemojify('🕳️', ':hole:');
    testUnemojify('🕴️', ':man_in_business_suit_levitating:');
    testUnemojify('🕵️‍♀️', ':female-detective:');
    testUnemojify('🕵️‍♂️', ':male-detective:');
    testUnemojify('🕶️', ':dark_sunglasses:');
    testUnemojify('🕷️', ':spider:');
    testUnemojify('🕸️', ':spider_web:');
    testUnemojify('🕹️', ':joystick:');
    testUnemojify('🕺', ':man_dancing:');
    testUnemojify('🖇️', ':linked_paperclips:');
    testUnemojify('🖊️', ':lower_left_ballpoint_pen:');
    testUnemojify('🖋️', ':lower_left_fountain_pen:');
    testUnemojify('🖌️', ':lower_left_paintbrush:');
    testUnemojify('🖍️', ':lower_left_crayon:');
    testUnemojify('🖐️', ':raised_hand_with_fingers_splayed:');
    testUnemojify('🖕', ':middle_finger:');
    testUnemojify('🖖', ':spock-hand:');
    testUnemojify('🖤', ':black_heart:');
    testUnemojify('🖥️', ':desktop_computer:');
    testUnemojify('🖨️', ':printer:');
    testUnemojify('🖱️', ':three_button_mouse:');
    testUnemojify('🖲️', ':trackball:');
    testUnemojify('🖼️', ':frame_with_picture:');
    testUnemojify('🗂️', ':card_index_dividers:');
    testUnemojify('🗃️', ':card_file_box:');
    testUnemojify('🗄️', ':file_cabinet:');
    testUnemojify('🗑️', ':wastebasket:');
    testUnemojify('🗒️', ':spiral_note_pad:');
    testUnemojify('🗓️', ':spiral_calendar_pad:');
    testUnemojify('🗜️', ':compression:');
    testUnemojify('🗝️', ':old_key:');
    testUnemojify('🗞️', ':rolled_up_newspaper:');
    testUnemojify('🗡️', ':dagger_knife:');
    testUnemojify('🗣️', ':speaking_head_in_silhouette:');
    testUnemojify('🗨️', ':left_speech_bubble:');
    testUnemojify('🗯️', ':right_anger_bubble:');
    testUnemojify('🗳️', ':ballot_box_with_ballot:');
    testUnemojify('🗺️', ':world_map:');
    testUnemojify('🗻', ':mount_fuji:');
    testUnemojify('🗼', ':tokyo_tower:');
    testUnemojify('🗽', ':statue_of_liberty:');
    testUnemojify('🗾', ':japan:');
    testUnemojify('🗿', ':moyai:');
    testUnemojify('😀', ':grinning:');
    testUnemojify('😁', ':grin:');
    testUnemojify('😂', ':joy:');
    testUnemojify('😃', ':smiley:');
    testUnemojify('😄', ':smile:');
    testUnemojify('😅', ':sweat_smile:');
    testUnemojify('😆', ':laughing:');
    testUnemojify('😇', ':innocent:');
    testUnemojify('😈', ':smiling_imp:');
    testUnemojify('😉', ':wink:');
    testUnemojify('😊', ':blush:');
    testUnemojify('😋', ':yum:');
    testUnemojify('😌', ':relieved:');
    testUnemojify('😍', ':heart_eyes:');
    testUnemojify('😎', ':sunglasses:');
    testUnemojify('😏', ':smirk:');
    testUnemojify('😐', ':neutral_face:');
    testUnemojify('😑', ':expressionless:');
    testUnemojify('😒', ':unamused:');
    testUnemojify('😓', ':sweat:');
    testUnemojify('😔', ':pensive:');
    testUnemojify('😕', ':confused:');
    testUnemojify('😖', ':confounded:');
    testUnemojify('😗', ':kissing:');
    testUnemojify('😘', ':kissing_heart:');
    testUnemojify('😙', ':kissing_smiling_eyes:');
    testUnemojify('😚', ':kissing_closed_eyes:');
    testUnemojify('😛', ':stuck_out_tongue:');
    testUnemojify('😜', ':stuck_out_tongue_winking_eye:');
    testUnemojify('😝', ':stuck_out_tongue_closed_eyes:');
    testUnemojify('😞', ':disappointed:');
    testUnemojify('😟', ':worried:');
    testUnemojify('😠', ':angry:');
    testUnemojify('😡', ':rage:');
    testUnemojify('😢', ':cry:');
    testUnemojify('😣', ':persevere:');
    testUnemojify('😤', ':triumph:');
    testUnemojify('😥', ':disappointed_relieved:');
    testUnemojify('😦', ':frowning:');
    testUnemojify('😧', ':anguished:');
    testUnemojify('😨', ':fearful:');
    testUnemojify('😩', ':weary:');
    testUnemojify('😪', ':sleepy:');
    testUnemojify('😫', ':tired_face:');
    testUnemojify('😬', ':grimacing:');
    testUnemojify('😭', ':sob:');
    testUnemojify('😮‍💨', ':face_exhaling:');
    testUnemojify('😮', ':open_mouth:');
    testUnemojify('😯', ':hushed:');
    testUnemojify('😰', ':cold_sweat:');
    testUnemojify('😱', ':scream:');
    testUnemojify('😲', ':astonished:');
    testUnemojify('😳', ':flushed:');
    testUnemojify('😴', ':sleeping:');
    testUnemojify('😵‍💫', ':face_with_spiral_eyes:');
    testUnemojify('😵', ':dizzy_face:');
    testUnemojify('😶‍🌫️', ':face_in_clouds:');
    testUnemojify('😶', ':no_mouth:');
    testUnemojify('😷', ':mask:');
    testUnemojify('😸', ':smile_cat:');
    testUnemojify('😹', ':joy_cat:');
    testUnemojify('😺', ':smiley_cat:');
    testUnemojify('😻', ':heart_eyes_cat:');
    testUnemojify('😼', ':smirk_cat:');
    testUnemojify('😽', ':kissing_cat:');
    testUnemojify('😾', ':pouting_cat:');
    testUnemojify('😿', ':crying_cat_face:');
    testUnemojify('🙀', ':scream_cat:');
    testUnemojify('🙁', ':slightly_frowning_face:');
    testUnemojify('🙂', ':slightly_smiling_face:');
    testUnemojify('🙃', ':upside_down_face:');
    testUnemojify('🙄', ':face_with_rolling_eyes:');
    testUnemojify('🙅‍♀️', ':woman-gesturing-no:');
    testUnemojify('🙅‍♂️', ':man-gesturing-no:');
    testUnemojify('🙆‍♀️', ':woman-gesturing-ok:');
    testUnemojify('🙆‍♂️', ':man-gesturing-ok:');
    testUnemojify('🙇‍♀️', ':woman-bowing:');
    testUnemojify('🙇‍♂️', ':man-bowing:');
    testUnemojify('🙈', ':see_no_evil:');
    testUnemojify('🙉', ':hear_no_evil:');
    testUnemojify('🙊', ':speak_no_evil:');
    testUnemojify('🙋‍♀️', ':woman-raising-hand:');
    testUnemojify('🙋‍♂️', ':man-raising-hand:');
    testUnemojify('🙌', ':raised_hands:');
    testUnemojify('🙍‍♀️', ':woman-frowning:');
    testUnemojify('🙍‍♂️', ':man-frowning:');
    testUnemojify('🙎‍♀️', ':woman-pouting:');
    testUnemojify('🙎‍♂️', ':man-pouting:');
    testUnemojify('🙏', ':pray:');
    testUnemojify('🚀', ':rocket:');
    testUnemojify('🚁', ':helicopter:');
    testUnemojify('🚂', ':steam_locomotive:');
    testUnemojify('🚃', ':railway_car:');
    testUnemojify('🚄', ':bullettrain_side:');
    testUnemojify('🚅', ':bullettrain_front:');
    testUnemojify('🚆', ':train2:');
    testUnemojify('🚇', ':metro:');
    testUnemojify('🚈', ':light_rail:');
    testUnemojify('🚉', ':station:');
    testUnemojify('🚊', ':tram:');
    testUnemojify('🚋', ':train:');
    testUnemojify('🚌', ':bus:');
    testUnemojify('🚍', ':oncoming_bus:');
    testUnemojify('🚎', ':trolleybus:');
    testUnemojify('🚏', ':busstop:');
    testUnemojify('🚐', ':minibus:');
    testUnemojify('🚑', ':ambulance:');
    testUnemojify('🚒', ':fire_engine:');
    testUnemojify('🚓', ':police_car:');
    testUnemojify('🚔', ':oncoming_police_car:');
    testUnemojify('🚕', ':taxi:');
    testUnemojify('🚖', ':oncoming_taxi:');
    testUnemojify('🚗', ':car:');
    testUnemojify('🚘', ':oncoming_automobile:');
    testUnemojify('🚙', ':blue_car:');
    testUnemojify('🚚', ':truck:');
    testUnemojify('🚛', ':articulated_lorry:');
    testUnemojify('🚜', ':tractor:');
    testUnemojify('🚝', ':monorail:');
    testUnemojify('🚞', ':mountain_railway:');
    testUnemojify('🚟', ':suspension_railway:');
    testUnemojify('🚠', ':mountain_cableway:');
    testUnemojify('🚡', ':aerial_tramway:');
    testUnemojify('🚢', ':ship:');
    testUnemojify('🚣‍♀️', ':woman-rowing-boat:');
    testUnemojify('🚣‍♂️', ':man-rowing-boat:');
    testUnemojify('🚤', ':speedboat:');
    testUnemojify('🚥', ':traffic_light:');
    testUnemojify('🚦', ':vertical_traffic_light:');
    testUnemojify('🚧', ':construction:');
    testUnemojify('🚨', ':rotating_light:');
    testUnemojify('🚩', ':triangular_flag_on_post:');
    testUnemojify('🚪', ':door:');
    testUnemojify('🚫', ':no_entry_sign:');
    testUnemojify('🚬', ':smoking:');
    testUnemojify('🚭', ':no_smoking:');
    testUnemojify('🚮', ':put_litter_in_its_place:');
    testUnemojify('🚯', ':do_not_litter:');
    testUnemojify('🚰', ':potable_water:');
    testUnemojify('🚱', ':non-potable_water:');
    testUnemojify('🚲', ':bike:');
    testUnemojify('🚳', ':no_bicycles:');
    testUnemojify('🚴‍♀️', ':woman-biking:');
    testUnemojify('🚴‍♂️', ':man-biking:');
    testUnemojify('🚵‍♀️', ':woman-mountain-biking:');
    testUnemojify('🚵‍♂️', ':man-mountain-biking:');
    testUnemojify('🚶‍♀️', ':woman-walking:');
    testUnemojify('🚶‍♂️', ':man-walking:');
    testUnemojify('🚷', ':no_pedestrians:');
    testUnemojify('🚸', ':children_crossing:');
    testUnemojify('🚹', ':mens:');
    testUnemojify('🚺', ':womens:');
    testUnemojify('🚻', ':restroom:');
    testUnemojify('🚼', ':baby_symbol:');
    testUnemojify('🚽', ':toilet:');
    testUnemojify('🚾', ':wc:');
    testUnemojify('🚿', ':shower:');
    testUnemojify('🛀', ':bath:');
    testUnemojify('🛁', ':bathtub:');
    testUnemojify('🛂', ':passport_control:');
    testUnemojify('🛃', ':customs:');
    testUnemojify('🛄', ':baggage_claim:');
    testUnemojify('🛅', ':left_luggage:');
    testUnemojify('🛋️', ':couch_and_lamp:');
    testUnemojify('🛌', ':sleeping_accommodation:');
    testUnemojify('🛍️', ':shopping_bags:');
    testUnemojify('🛎️', ':bellhop_bell:');
    testUnemojify('🛏️', ':bed:');
    testUnemojify('🛐', ':place_of_worship:');
    testUnemojify('🛑', ':octagonal_sign:');
    testUnemojify('🛒', ':shopping_trolley:');
    testUnemojify('🛕', ':hindu_temple:');
    testUnemojify('🛖', ':hut:');
    testUnemojify('🛗', ':elevator:');
    testUnemojify('🛠️', ':hammer_and_wrench:');
    testUnemojify('🛡️', ':shield:');
    testUnemojify('🛢️', ':oil_drum:');
    testUnemojify('🛣️', ':motorway:');
    testUnemojify('🛤️', ':railway_track:');
    testUnemojify('🛥️', ':motor_boat:');
    testUnemojify('🛩️', ':small_airplane:');
    testUnemojify('🛫', ':airplane_departure:');
    testUnemojify('🛬', ':airplane_arriving:');
    testUnemojify('🛰️', ':satellite:');
    testUnemojify('🛳️', ':passenger_ship:');
    testUnemojify('🛴', ':scooter:');
    testUnemojify('🛵', ':motor_scooter:');
    testUnemojify('🛶', ':canoe:');
    testUnemojify('🛷', ':sled:');
    testUnemojify('🛸', ':flying_saucer:');
    testUnemojify('🛹', ':skateboard:');
    testUnemojify('🛺', ':auto_rickshaw:');
    testUnemojify('🛻', ':pickup_truck:');
    testUnemojify('🛼', ':roller_skate:');
    testUnemojify('🟠', ':large_orange_circle:');
    testUnemojify('🟡', ':large_yellow_circle:');
    testUnemojify('🟢', ':large_green_circle:');
    testUnemojify('🟣', ':large_purple_circle:');
    testUnemojify('🟤', ':large_brown_circle:');
    testUnemojify('🟥', ':large_red_square:');
    testUnemojify('🟦', ':large_blue_square:');
    testUnemojify('🟧', ':large_orange_square:');
    testUnemojify('🟨', ':large_yellow_square:');
    testUnemojify('🟩', ':large_green_square:');
    testUnemojify('🟪', ':large_purple_square:');
    testUnemojify('🟫', ':large_brown_square:');
    testUnemojify('🤌', ':pinched_fingers:');
    testUnemojify('🤍', ':white_heart:');
    testUnemojify('🤎', ':brown_heart:');
    testUnemojify('🤏', ':pinching_hand:');
    testUnemojify('🤐', ':zipper_mouth_face:');
    testUnemojify('🤑', ':money_mouth_face:');
    testUnemojify('🤒', ':face_with_thermometer:');
    testUnemojify('🤓', ':nerd_face:');
    testUnemojify('🤔', ':thinking_face:');
    testUnemojify('🤕', ':face_with_head_bandage:');
    testUnemojify('🤖', ':robot_face:');
    testUnemojify('🤗', ':hugging_face:');
    testUnemojify('🤘', ':the_horns:');
    testUnemojify('🤙', ':call_me_hand:');
    testUnemojify('🤚', ':raised_back_of_hand:');
    testUnemojify('🤛', ':left-facing_fist:');
    testUnemojify('🤜', ':right-facing_fist:');
    testUnemojify('🤝', ':handshake:');
    testUnemojify('🤞', ':crossed_fingers:');
    testUnemojify('🤟', ':i_love_you_hand_sign:');
    testUnemojify('🤠', ':face_with_cowboy_hat:');
    testUnemojify('🤡', ':clown_face:');
    testUnemojify('🤢', ':nauseated_face:');
    testUnemojify('🤣', ':rolling_on_the_floor_laughing:');
    testUnemojify('🤤', ':drooling_face:');
    testUnemojify('🤥', ':lying_face:');
    testUnemojify('🤦‍♀️', ':woman-facepalming:');
    testUnemojify('🤦‍♂️', ':man-facepalming:');
    testUnemojify('🤦', ':face_palm:');
    testUnemojify('🤧', ':sneezing_face:');
    testUnemojify('🤨', ':face_with_raised_eyebrow:');
    testUnemojify('🤩', ':star-struck:');
    testUnemojify('🤪', ':zany_face:');
    testUnemojify('🤫', ':shushing_face:');
    testUnemojify('🤬', ':face_with_symbols_on_mouth:');
    testUnemojify('🤭', ':face_with_hand_over_mouth:');
    testUnemojify('🤮', ':face_vomiting:');
    testUnemojify('🤯', ':exploding_head:');
    testUnemojify('🤰', ':pregnant_woman:');
    testUnemojify('🤱', ':breast-feeding:');
    testUnemojify('🤲', ':palms_up_together:');
    testUnemojify('🤳', ':selfie:');
    testUnemojify('🤴', ':prince:');
    testUnemojify('🤵‍♀️', ':woman_in_tuxedo:');
    testUnemojify('🤵‍♂️', ':man_in_tuxedo:');
    testUnemojify('🤵', ':person_in_tuxedo:');
    testUnemojify('🤶', ':mrs_claus:');
    testUnemojify('🤷‍♀️', ':woman-shrugging:');
    testUnemojify('🤷‍♂️', ':man-shrugging:');
    testUnemojify('🤷', ':shrug:');
    testUnemojify('🤸‍♀️', ':woman-cartwheeling:');
    testUnemojify('🤸‍♂️', ':man-cartwheeling:');
    testUnemojify('🤸', ':person_doing_cartwheel:');
    testUnemojify('🤹‍♀️', ':woman-juggling:');
    testUnemojify('🤹‍♂️', ':man-juggling:');
    testUnemojify('🤹', ':juggling:');
    testUnemojify('🤺', ':fencer:');
    testUnemojify('🤼‍♀️', ':woman-wrestling:');
    testUnemojify('🤼‍♂️', ':man-wrestling:');
    testUnemojify('🤼', ':wrestlers:');
    testUnemojify('🤽‍♀️', ':woman-playing-water-polo:');
    testUnemojify('🤽‍♂️', ':man-playing-water-polo:');
    testUnemojify('🤽', ':water_polo:');
    testUnemojify('🤾‍♀️', ':woman-playing-handball:');
    testUnemojify('🤾‍♂️', ':man-playing-handball:');
    testUnemojify('🤾', ':handball:');
    testUnemojify('🤿', ':diving_mask:');
    testUnemojify('🥀', ':wilted_flower:');
    testUnemojify('🥁', ':drum_with_drumsticks:');
    testUnemojify('🥂', ':clinking_glasses:');
    testUnemojify('🥃', ':tumbler_glass:');
    testUnemojify('🥄', ':spoon:');
    testUnemojify('🥅', ':goal_net:');
    testUnemojify('🥇', ':first_place_medal:');
    testUnemojify('🥈', ':second_place_medal:');
    testUnemojify('🥉', ':third_place_medal:');
    testUnemojify('🥊', ':boxing_glove:');
    testUnemojify('🥋', ':martial_arts_uniform:');
    testUnemojify('🥌', ':curling_stone:');
    testUnemojify('🥍', ':lacrosse:');
    testUnemojify('🥎', ':softball:');
    testUnemojify('🥏', ':flying_disc:');
    testUnemojify('🥐', ':croissant:');
    testUnemojify('🥑', ':avocado:');
    testUnemojify('🥒', ':cucumber:');
    testUnemojify('🥓', ':bacon:');
    testUnemojify('🥔', ':potato:');
    testUnemojify('🥕', ':carrot:');
    testUnemojify('🥖', ':baguette_bread:');
    testUnemojify('🥗', ':green_salad:');
    testUnemojify('🥘', ':shallow_pan_of_food:');
    testUnemojify('🥙', ':stuffed_flatbread:');
    testUnemojify('🥚', ':egg:');
    testUnemojify('🥛', ':glass_of_milk:');
    testUnemojify('🥜', ':peanuts:');
    testUnemojify('🥝', ':kiwifruit:');
    testUnemojify('🥞', ':pancakes:');
    testUnemojify('🥟', ':dumpling:');
    testUnemojify('🥠', ':fortune_cookie:');
    testUnemojify('🥡', ':takeout_box:');
    testUnemojify('🥢', ':chopsticks:');
    testUnemojify('🥣', ':bowl_with_spoon:');
    testUnemojify('🥤', ':cup_with_straw:');
    testUnemojify('🥥', ':coconut:');
    testUnemojify('🥦', ':broccoli:');
    testUnemojify('🥧', ':pie:');
    testUnemojify('🥨', ':pretzel:');
    testUnemojify('🥩', ':cut_of_meat:');
    testUnemojify('🥪', ':sandwich:');
    testUnemojify('🥫', ':canned_food:');
    testUnemojify('🥬', ':leafy_green:');
    testUnemojify('🥭', ':mango:');
    testUnemojify('🥮', ':moon_cake:');
    testUnemojify('🥯', ':bagel:');
    testUnemojify('🥰', ':smiling_face_with_3_hearts:');
    testUnemojify('🥱', ':yawning_face:');
    testUnemojify('🥲', ':smiling_face_with_tear:');
    testUnemojify('🥳', ':partying_face:');
    testUnemojify('🥴', ':woozy_face:');
    testUnemojify('🥵', ':hot_face:');
    testUnemojify('🥶', ':cold_face:');
    testUnemojify('🥷', ':ninja:');
    testUnemojify('🥸', ':disguised_face:');
    testUnemojify('🥺', ':pleading_face:');
    testUnemojify('🥻', ':sari:');
    testUnemojify('🥼', ':lab_coat:');
    testUnemojify('🥽', ':goggles:');
    testUnemojify('🥾', ':hiking_boot:');
    testUnemojify('🥿', ':womans_flat_shoe:');
    testUnemojify('🦀', ':crab:');
    testUnemojify('🦁', ':lion_face:');
    testUnemojify('🦂', ':scorpion:');
    testUnemojify('🦃', ':turkey:');
    testUnemojify('🦄', ':unicorn_face:');
    testUnemojify('🦅', ':eagle:');
    testUnemojify('🦆', ':duck:');
    testUnemojify('🦇', ':bat:');
    testUnemojify('🦈', ':shark:');
    testUnemojify('🦉', ':owl:');
    testUnemojify('🦊', ':fox_face:');
    testUnemojify('🦋', ':butterfly:');
    testUnemojify('🦌', ':deer:');
    testUnemojify('🦍', ':gorilla:');
    testUnemojify('🦎', ':lizard:');
    testUnemojify('🦏', ':rhinoceros:');
    testUnemojify('🦐', ':shrimp:');
    testUnemojify('🦑', ':squid:');
    testUnemojify('🦒', ':giraffe_face:');
    testUnemojify('🦓', ':zebra_face:');
    testUnemojify('🦔', ':hedgehog:');
    testUnemojify('🦕', ':sauropod:');
    testUnemojify('🦖', ':t-rex:');
    testUnemojify('🦗', ':cricket:');
    testUnemojify('🦘', ':kangaroo:');
    testUnemojify('🦙', ':llama:');
    testUnemojify('🦚', ':peacock:');
    testUnemojify('🦛', ':hippopotamus:');
    testUnemojify('🦜', ':parrot:');
    testUnemojify('🦝', ':raccoon:');
    testUnemojify('🦞', ':lobster:');
    testUnemojify('🦟', ':mosquito:');
    testUnemojify('🦠', ':microbe:');
    testUnemojify('🦡', ':badger:');
    testUnemojify('🦢', ':swan:');
    testUnemojify('🦣', ':mammoth:');
    testUnemojify('🦤', ':dodo:');
    testUnemojify('🦥', ':sloth:');
    testUnemojify('🦦', ':otter:');
    testUnemojify('🦧', ':orangutan:');
    testUnemojify('🦨', ':skunk:');
    testUnemojify('🦩', ':flamingo:');
    testUnemojify('🦪', ':oyster:');
    testUnemojify('🦫', ':beaver:');
    testUnemojify('🦬', ':bison:');
    testUnemojify('🦭', ':seal:');
    testUnemojify('🦮', ':guide_dog:');
    testUnemojify('🦯', ':probing_cane:');
    testUnemojify('🦴', ':bone:');
    testUnemojify('🦵', ':leg:');
    testUnemojify('🦶', ':foot:');
    testUnemojify('🦷', ':tooth:');
    testUnemojify('🦸‍♀️', ':female_superhero:');
    testUnemojify('🦸‍♂️', ':male_superhero:');
    testUnemojify('🦸', ':superhero:');
    testUnemojify('🦹‍♀️', ':female_supervillain:');
    testUnemojify('🦹‍♂️', ':male_supervillain:');
    testUnemojify('🦹', ':supervillain:');
    testUnemojify('🦺', ':safety_vest:');
    testUnemojify('🦻', ':ear_with_hearing_aid:');
    testUnemojify('🦼', ':motorized_wheelchair:');
    testUnemojify('🦽', ':manual_wheelchair:');
    testUnemojify('🦾', ':mechanical_arm:');
    testUnemojify('🦿', ':mechanical_leg:');
    testUnemojify('🧀', ':cheese_wedge:');
    testUnemojify('🧁', ':cupcake:');
    testUnemojify('🧂', ':salt:');
    testUnemojify('🧃', ':beverage_box:');
    testUnemojify('🧄', ':garlic:');
    testUnemojify('🧅', ':onion:');
    testUnemojify('🧆', ':falafel:');
    testUnemojify('🧇', ':waffle:');
    testUnemojify('🧈', ':butter:');
    testUnemojify('🧉', ':mate_drink:');
    testUnemojify('🧊', ':ice_cube:');
    testUnemojify('🧋', ':bubble_tea:');
    testUnemojify('🧍‍♀️', ':woman_standing:');
    testUnemojify('🧍‍♂️', ':man_standing:');
    testUnemojify('🧍', ':standing_person:');
    testUnemojify('🧎‍♀️', ':woman_kneeling:');
    testUnemojify('🧎‍♂️', ':man_kneeling:');
    testUnemojify('🧎', ':kneeling_person:');
    testUnemojify('🧏‍♀️', ':deaf_woman:');
    testUnemojify('🧏‍♂️', ':deaf_man:');
    testUnemojify('🧏', ':deaf_person:');
    testUnemojify('🧐', ':face_with_monocle:');
    testUnemojify('🧑‍🌾', ':farmer:');
    testUnemojify('🧑‍🍳', ':cook:');
    testUnemojify('🧑‍🍼', ':person_feeding_baby:');
    testUnemojify('🧑‍🎄', ':mx_claus:');
    testUnemojify('🧑‍🎓', ':student:');
    testUnemojify('🧑‍🎤', ':singer:');
    testUnemojify('🧑‍🎨', ':artist:');
    testUnemojify('🧑‍🏫', ':teacher:');
    testUnemojify('🧑‍🏭', ':factory_worker:');
    testUnemojify('🧑‍💻', ':technologist:');
    testUnemojify('🧑‍💼', ':office_worker:');
    testUnemojify('🧑‍🔧', ':mechanic:');
    testUnemojify('🧑‍🔬', ':scientist:');
    testUnemojify('🧑‍🚀', ':astronaut:');
    testUnemojify('🧑‍🚒', ':firefighter:');
    testUnemojify('🧑‍🤝‍🧑', ':people_holding_hands:');
    testUnemojify('🧑‍🦯', ':person_with_probing_cane:');
    testUnemojify('🧑‍🦰', ':red_haired_person:');
    testUnemojify('🧑‍🦱', ':curly_haired_person:');
    testUnemojify('🧑‍🦲', ':bald_person:');
    testUnemojify('🧑‍🦳', ':white_haired_person:');
    testUnemojify('🧑‍🦼', ':person_in_motorized_wheelchair:');
    testUnemojify('🧑‍🦽', ':person_in_manual_wheelchair:');
    testUnemojify('🧑‍⚕️', ':health_worker:');
    testUnemojify('🧑‍⚖️', ':judge:');
    testUnemojify('🧑‍✈️', ':pilot:');
    testUnemojify('🧑', ':adult:');
    testUnemojify('🧒', ':child:');
    testUnemojify('🧓', ':older_adult:');
    testUnemojify('🧔‍♀️', ':woman_with_beard:');
    testUnemojify('🧔‍♂️', ':man_with_beard:');
    testUnemojify('🧔', ':bearded_person:');
    testUnemojify('🧕', ':person_with_headscarf:');
    testUnemojify('🧖‍♀️', ':woman_in_steamy_room:');
    testUnemojify('🧖‍♂️', ':man_in_steamy_room:');
    testUnemojify('🧗‍♀️', ':woman_climbing:');
    testUnemojify('🧗‍♂️', ':man_climbing:');
    testUnemojify('🧘‍♀️', ':woman_in_lotus_position:');
    testUnemojify('🧘‍♂️', ':man_in_lotus_position:');
    testUnemojify('🧙‍♀️', ':female_mage:');
    testUnemojify('🧙‍♂️', ':male_mage:');
    testUnemojify('🧚‍♀️', ':female_fairy:');
    testUnemojify('🧚‍♂️', ':male_fairy:');
    testUnemojify('🧛‍♀️', ':female_vampire:');
    testUnemojify('🧛‍♂️', ':male_vampire:');
    testUnemojify('🧜‍♀️', ':mermaid:');
    testUnemojify('🧜‍♂️', ':merman:');
    testUnemojify('🧝‍♀️', ':female_elf:');
    testUnemojify('🧝‍♂️', ':male_elf:');
    testUnemojify('🧞‍♀️', ':female_genie:');
    testUnemojify('🧞‍♂️', ':male_genie:');
    testUnemojify('🧟‍♀️', ':female_zombie:');
    testUnemojify('🧟‍♂️', ':male_zombie:');
    testUnemojify('🧠', ':brain:');
    testUnemojify('🧡', ':orange_heart:');
    testUnemojify('🧢', ':billed_cap:');
    testUnemojify('🧣', ':scarf:');
    testUnemojify('🧤', ':gloves:');
    testUnemojify('🧥', ':coat:');
    testUnemojify('🧦', ':socks:');
    testUnemojify('🧧', ':red_envelope:');
    testUnemojify('🧨', ':firecracker:');
    testUnemojify('🧩', ':jigsaw:');
    testUnemojify('🧪', ':test_tube:');
    testUnemojify('🧫', ':petri_dish:');
    testUnemojify('🧬', ':dna:');
    testUnemojify('🧭', ':compass:');
    testUnemojify('🧮', ':abacus:');
    testUnemojify('🧯', ':fire_extinguisher:');
    testUnemojify('🧰', ':toolbox:');
    testUnemojify('🧱', ':bricks:');
    testUnemojify('🧲', ':magnet:');
    testUnemojify('🧳', ':luggage:');
    testUnemojify('🧴', ':lotion_bottle:');
    testUnemojify('🧵', ':thread:');
    testUnemojify('🧶', ':yarn:');
    testUnemojify('🧷', ':safety_pin:');
    testUnemojify('🧸', ':teddy_bear:');
    testUnemojify('🧹', ':broom:');
    testUnemojify('🧺', ':basket:');
    testUnemojify('🧻', ':roll_of_paper:');
    testUnemojify('🧼', ':soap:');
    testUnemojify('🧽', ':sponge:');
    testUnemojify('🧾', ':receipt:');
    testUnemojify('🧿', ':nazar_amulet:');
    testUnemojify('🩰', ':ballet_shoes:');
    testUnemojify('🩱', ':one-piece_swimsuit:');
    testUnemojify('🩲', ':briefs:');
    testUnemojify('🩳', ':shorts:');
    testUnemojify('🩴', ':thong_sandal:');
    testUnemojify('🩸', ':drop_of_blood:');
    testUnemojify('🩹', ':adhesive_bandage:');
    testUnemojify('🩺', ':stethoscope:');
    testUnemojify('🪀', ':yo-yo:');
    testUnemojify('🪁', ':kite:');
    testUnemojify('🪂', ':parachute:');
    testUnemojify('🪃', ':boomerang:');
    testUnemojify('🪄', ':magic_wand:');
    testUnemojify('🪅', ':pinata:');
    testUnemojify('🪆', ':nesting_dolls:');
    testUnemojify('🪐', ':ringed_planet:');
    testUnemojify('🪑', ':chair:');
    testUnemojify('🪒', ':razor:');
    testUnemojify('🪓', ':axe:');
    testUnemojify('🪔', ':diya_lamp:');
    testUnemojify('🪕', ':banjo:');
    testUnemojify('🪖', ':military_helmet:');
    testUnemojify('🪗', ':accordion:');
    testUnemojify('🪘', ':long_drum:');
    testUnemojify('🪙', ':coin:');
    testUnemojify('🪚', ':carpentry_saw:');
    testUnemojify('🪛', ':screwdriver:');
    testUnemojify('🪜', ':ladder:');
    testUnemojify('🪝', ':hook:');
    testUnemojify('🪞', ':mirror:');
    testUnemojify('🪟', ':window:');
    testUnemojify('🪠', ':plunger:');
    testUnemojify('🪡', ':sewing_needle:');
    testUnemojify('🪢', ':knot:');
    testUnemojify('🪣', ':bucket:');
    testUnemojify('🪤', ':mouse_trap:');
    testUnemojify('🪥', ':toothbrush:');
    testUnemojify('🪦', ':headstone:');
    testUnemojify('🪧', ':placard:');
    testUnemojify('🪨', ':rock:');
    testUnemojify('🪰', ':fly:');
    testUnemojify('🪱', ':worm:');
    testUnemojify('🪲', ':beetle:');
    testUnemojify('🪳', ':cockroach:');
    testUnemojify('🪴', ':potted_plant:');
    testUnemojify('🪵', ':wood:');
    testUnemojify('🪶', ':feather:');
    testUnemojify('🫀', ':anatomical_heart:');
    testUnemojify('🫁', ':lungs:');
    testUnemojify('🫂', ':people_hugging:');
    testUnemojify('🫐', ':blueberries:');
    testUnemojify('🫑', ':bell_pepper:');
    testUnemojify('🫒', ':olive:');
    testUnemojify('🫓', ':flatbread:');
    testUnemojify('🫔', ':tamale:');
    testUnemojify('🫕', ':fondue:');
    testUnemojify('🫖', ':teapot:');
    testUnemojify('‼️', ':bangbang:');
    testUnemojify('⁉️', ':interrobang:');
    testUnemojify('™️', ':tm:');
    testUnemojify('ℹ️', ':information_source:');
    testUnemojify('↔️', ':left_right_arrow:');
    testUnemojify('↕️', ':arrow_up_down:');
    testUnemojify('↖️', ':arrow_upper_left:');
    testUnemojify('↗️', ':arrow_upper_right:');
    testUnemojify('↘️', ':arrow_lower_right:');
    testUnemojify('↙️', ':arrow_lower_left:');
    testUnemojify('↩️', ':leftwards_arrow_with_hook:');
    testUnemojify('↪️', ':arrow_right_hook:');
    testUnemojify('⌚', ':watch:');
    testUnemojify('⌛', ':hourglass:');
    testUnemojify('⌨️', ':keyboard:');
    testUnemojify('⏏️', ':eject:');
    testUnemojify('⏩', ':fast_forward:');
    testUnemojify('⏪', ':rewind:');
    testUnemojify('⏫', ':arrow_double_up:');
    testUnemojify('⏬', ':arrow_double_down:');
    testUnemojify(
        '⏭️', ':black_right_pointing_double_triangle_with_vertical_bar:');
    testUnemojify(
        '⏮️', ':black_left_pointing_double_triangle_with_vertical_bar:');
    testUnemojify(
        '⏯️', ':black_right_pointing_triangle_with_double_vertical_bar:');
    testUnemojify('⏰', ':alarm_clock:');
    testUnemojify('⏱️', ':stopwatch:');
    testUnemojify('⏲️', ':timer_clock:');
    testUnemojify('⏳', ':hourglass_flowing_sand:');
    testUnemojify('⏸️', ':double_vertical_bar:');
    testUnemojify('⏹️', ':black_square_for_stop:');
    testUnemojify('⏺️', ':black_circle_for_record:');
    testUnemojify('Ⓜ️', ':m:');
    testUnemojify('▪️', ':black_small_square:');
    testUnemojify('▫️', ':white_small_square:');
    testUnemojify('▶️', ':arrow_forward:');
    testUnemojify('◀️', ':arrow_backward:');
    testUnemojify('◻️', ':white_medium_square:');
    testUnemojify('◼️', ':black_medium_square:');
    testUnemojify('◽', ':white_medium_small_square:');
    testUnemojify('◾', ':black_medium_small_square:');
    testUnemojify('☀️', ':sunny:');
    testUnemojify('☁️', ':cloud:');
    testUnemojify('☂️', ':umbrella:');
    testUnemojify('☃️', ':snowman:');
    testUnemojify('☄️', ':comet:');
    testUnemojify('☎️', ':phone:');
    testUnemojify('☑️', ':ballot_box_with_check:');
    testUnemojify('☘️', ':shamrock:');
    testUnemojify('☝️', ':point_up:');
    testUnemojify('☠️', ':skull_and_crossbones:');
    testUnemojify('☢️', ':radioactive_sign:');
    testUnemojify('☣️', ':biohazard_sign:');
    testUnemojify('☦️', ':orthodox_cross:');
    testUnemojify('☪️', ':star_and_crescent:');
    testUnemojify('☮️', ':peace_symbol:');
    testUnemojify('☯️', ':yin_yang:');
    testUnemojify('☸️', ':wheel_of_dharma:');
    testUnemojify('☹️', ':white_frowning_face:');
    testUnemojify('☺️', ':relaxed:');
    testUnemojify('♀️', ':female_sign:');
    testUnemojify('♂️', ':male_sign:');
    testUnemojify('♊', ':gemini:');
    testUnemojify('♋', ':cancer:');
    testUnemojify('♌', ':leo:');
    testUnemojify('♍', ':virgo:');
    testUnemojify('♎', ':libra:');
    testUnemojify('♏', ':scorpius:');
    testUnemojify('♟️', ':chess_pawn:');
    testUnemojify('♠️', ':spades:');
    testUnemojify('♣️', ':clubs:');
    testUnemojify('♥️', ':hearts:');
    testUnemojify('♦️', ':diamonds:');
    testUnemojify('♨️', ':hotsprings:');
    testUnemojify('♻️', ':recycle:');
    testUnemojify('♾️', ':infinity:');
    testUnemojify('♿', ':wheelchair:');
    testUnemojify('⚒️', ':hammer_and_pick:');
    testUnemojify('⚔️', ':crossed_swords:');
    testUnemojify('⚕️', ':medical_symbol:');
    testUnemojify('⚖️', ':scales:');
    testUnemojify('⚗️', ':alembic:');
    testUnemojify('⚙️', ':gear:');
    testUnemojify('⚛️', ':atom_symbol:');
    testUnemojify('⚜️', ':fleur_de_lis:');
    testUnemojify('⚠️', ':warning:');
    testUnemojify('⚡', ':zap:');
    testUnemojify('⚧️', ':transgender_symbol:');
    testUnemojify('⚪', ':white_circle:');
    testUnemojify('⚫', ':black_circle:');
    testUnemojify('⚰️', ':coffin:');
    testUnemojify('⚱️', ':funeral_urn:');
    testUnemojify('⚽', ':soccer:');
    testUnemojify('⚾', ':baseball:');
    testUnemojify('⛄', ':snowman_without_snow:');
    testUnemojify('⛅', ':partly_sunny:');
    testUnemojify('⛈️', ':thunder_cloud_and_rain:');
    testUnemojify('⛎', ':ophiuchus:');
    testUnemojify('⛏️', ':pick:');
    testUnemojify('⛑️', ':helmet_with_white_cross:');
    testUnemojify('⛓️', ':chains:');
    testUnemojify('⛔', ':no_entry:');
    testUnemojify('⛩️', ':shinto_shrine:');
    testUnemojify('⛪', ':church:');
    testUnemojify('⛰️', ':mountain:');
    testUnemojify('⛱️', ':umbrella_on_ground:');
    testUnemojify('⛲', ':fountain:');
    testUnemojify('⛳', ':golf:');
    testUnemojify('⛴️', ':ferry:');
    testUnemojify('⛵', ':boat:');
    testUnemojify('⛷️', ':skier:');
    testUnemojify('⛸️', ':ice_skate:');
    testUnemojify('⛹️‍♀️', ':woman-bouncing-ball:');
    testUnemojify('⛹️‍♂️', ':man-bouncing-ball:');
    testUnemojify('⛺', ':tent:');
    testUnemojify('⛽', ':fuelpump:');
    testUnemojify('✂️', ':scissors:');
    testUnemojify('✈️', ':airplane:');
    testUnemojify('✉️', ':email:');
    testUnemojify('✊', ':fist:');
    testUnemojify('✋', ':hand:');
    testUnemojify('✌️', ':v:');
    testUnemojify('✍️', ':writing_hand:');
    testUnemojify('✏️', ':pencil2:');
    testUnemojify('✒️', ':black_nib:');
    testUnemojify('✔️', ':heavy_check_mark:');
    testUnemojify('✖️', ':heavy_multiplication_x:');
    testUnemojify('✝️', ':latin_cross:');
    testUnemojify('✡️', ':star_of_david:');
    testUnemojify('✳️', ':eight_spoked_asterisk:');
    testUnemojify('✴️', ':eight_pointed_black_star:');
    testUnemojify('❄️', ':snowflake:');
    testUnemojify('❇️', ':sparkle:');
    testUnemojify('❌', ':x:');
    testUnemojify('❎', ':negative_squared_cross_mark:');
    testUnemojify('❣️', ':heavy_heart_exclamation_mark_ornament:');
    testUnemojify('❤️‍🔥', ':heart_on_fire:');
    testUnemojify('❤️‍🩹', ':mending_heart:');
    testUnemojify('❤️', ':heart:');
    testUnemojify('➡️', ':arrow_right:');
    testUnemojify('➰', ':curly_loop:');
    testUnemojify('➿', ':loop:');
    testUnemojify('⤴️', ':arrow_heading_up:');
    testUnemojify('⤵️', ':arrow_heading_down:');
    testUnemojify('⬅️', ':arrow_left:');
    testUnemojify('⬆️', ':arrow_up:');
    testUnemojify('⬇️', ':arrow_down:');
    testUnemojify('⬛', ':black_large_square:');
    testUnemojify('⬜', ':white_large_square:');
    testUnemojify('⭐', ':star:');
    testUnemojify('⭕', ':o:');
    testUnemojify('〰️', ':wavy_dash:');
    testUnemojify('〽️', ':part_alternation_mark:');
    testUnemojify('㊗️', ':congratulations:');
    testUnemojify('㊙️', ':secret:');
  });
}
